draw_compiled_sprite(3)

NAME
draw_compiled_sprite

SYNOPSIS
#include <allegro.h>

void draw_compiled_sprite(BITMAP *bmp, const COMPILED_SPRITE *sprite, int x, int y);

DESCRIPTION
Draws a compiled sprite onto a bitmap at the specified position. The sprite must have been compiled for the correct type of bitmap (linear or planar). This function does not support clipping. Hint: if not being able to clip compiled sprites is a problem, a neat trick is to set up a work surface (memory bitmap, mode-X virtual screen, or whatever) a bit bigger than you really need, and use the middle of it as your screen. That way you can draw slightly off the edge without any trouble...

SEE ALSO
get_compiled_sprite(3), draw_sprite(3), draw_rle_sprite(3), bitmap_mask_color(3)